urls:
  zenoss-demo:
    interval: 30s
    address: https://zenoss-demo.com
    send_metrics: true
    subpages:
      fast:
        path: fast
        method: get
        content_params:
          fast-content-check:
            content_match: fast
            content_location: body
            expected_matches: 1
            action_on_match: pass        
      slow:
        path: slow
        method: get
      redirect:
        path: redirect
        method: get
        redirection_params:
          follow_redirections: true
          # delete 'fail_on_redirections' after bug is fixed. 10/10/2024
          fail_on_redirections: false
          max_redirections: 2
          redirect_location_pass: https://zenoss-demo.com/landing/
          payload_match_pass: landing
  api-key-auth:
    interval: 30s
    address: https://api-key.zenoss-demo.com
    send_metrics: true
    credentials:
      type: api-key
      field: x-api-key
      key: zenoss-rocks!
    subpages:
      api-key:
        path: /
        method: get
        content_params:
          api-access-granted:
            action_on_match: pass        
            content_location: body
            content_match: granted
            expected_matches: 1
  basic-auth:
    interval: 30s
    address: https://basic-auth.zenoss-demo.com
    send_metrics: true
    credentials:
      type: basic-auth
      login: zenoss
      password: rocks!
    subpages:
      basic-pass:
        path: /
        method: get
        content_params:
          basic-granted:
            action_on_match: pass        
            content_location: body
            content_match: granted
            expected_matches: 1
      